Bug 122439 - Improvements needed in XML instance creation wizard
Improvements needed in XML instance creation wizard
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Sonali Kochar
issues@xml
http://wiki.netbeans.org/XmlFromWeb
: PLAN
Depends on:
Blocks: 122437
  Show dependency treegraph
 
Reported: 2007-11-20 22:17 UTC by Samaresh Panda
Modified: 2008-02-29 22:35 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samaresh Panda 2007-11-20 22:17:12 UTC
- Allow conformance to schemas from the web
- Allow selection of schemas from runtime catalog
Comment 1 Samaresh Panda 2008-02-02 04:45:01 UTC
The wizard should allow the user to:
1. Select multiple schemas (can be local or from internet)
2. Pick a primary schema
3. Pick a valid root element for the primary schema
4. Specify additional inputs to generate a sample xml document

The plan is to have panel A for #1-3 and an additional panel B for #4.

Some additional information related to #4.
There is a new feature we have added for 6.1, see issue 91453, which allows the user to generate a XML template based on
schema. An additional (optional) panel asks few inputs and based on that generates more content to the XML document.

B was implemented in 6.1M1. We're working on A, which is basically what this issue is about.
Comment 2 Samaresh Panda 2008-02-02 04:48:51 UTC
Please see the url for more information.
Comment 3 Sonali Kochar 2008-02-21 18:27:50 UTC
Fixed
Comment 4 tonybeckham 2008-02-29 22:35:42 UTC
Fix Verified

Product Version: NetBeans IDE Dev (Build 200802291203)
Java: 1.5.0_13; Java HotSpot(TM) Client VM 1.5.0_13-119
System: Mac OS X version 10.5.2 running on i386; MacRoman; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo